Bulk Approvals
Use the Process Approvals resource to do bulk approvals. You can specify a collection of different
Process Approvals requests to have them all executed in bulk.
Example usage
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/process/approvals/ -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @bulk.json"Example request body bulk.json file
1{
2 "requests" :
3 [{
4 "actionType" : "Approve",
5 "contextId" : "04iD0000000Cw6r",
6 "comments" : "approving an account"
7 },{
8 "actionType" : "Submit",
9 "contextId" : "001D000000JRWBd",
10 "nextApproverIds" : ["005D00000015rY9"],
11 "comments" : "submitting an account"
12 },{
13 "actionType" : "Submit",
14 "contextId" : "003D000000QBZ08",
15 "comments" : "submitting a contact"
16 }]
17}Example JSON response body
1[ {
2 "actorIds" : null,
3 "entityId" : "001D000000I8mImIAJ",
4 "errors" : null,
5 "instanceId" : "04gD0000000CvmZIAS",
6 "instanceStatus" : "Approved",
7 "newWorkitemIds" : [ ],
8 "success" : true
9 }, {
10 "actorIds" : null,
11 "entityId" : "003D000000QBZ08IAH",
12 "errors" : null,
13 "instanceId" : "04gD0000000CvmeIAC",
14 "instanceStatus" : "Approved",
15 "newWorkitemIds" : [ ],
16 "success" : true
17 }, {
18 "actorIds" : [ "005D00000015rY9IAI" ],
19 "entityId" : "001D000000JRWBdIAP",
20 "errors" : null,
21 "instanceId" : "04gD0000000CvmfIAC",
22 "instanceStatus" : "Pending",
23 "newWorkitemIds" : [ "04iD0000000Cw6wIAC" ],
24 "success" : true
25} ]